%global modulename remark-lint-no-inline-padding

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-remark-lint-no-inline-padding
Version:        1.0.2
Release:        1%{?dist}
Summary:        remark-lint rule to warn when inline nodes are padded with spaces

License:        MIT
URL:            https://github.com/remarkjs/remark-lint/tree/master/packages/remark-lint-no-inline-padding
Source0:        https://registry.npmjs.org/remark-lint-no-inline-padding/-/remark-lint-no-inline-padding-1.0.2.tgz



BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(mdast-util-to-string) >= 1.0.2 with npmlib(mdast-util-to-string) < 2.0.0))
BuildRequires:  ((npmlib(unified-lint-rule) >= 1.0.0 with npmlib(unified-lint-rule) < 2.0.0))
BuildRequires:  ((npmlib(unist-util-generated) >= 1.1.0 with npmlib(unist-util-generated) < 2.0.0))
BuildRequires:  ((npmlib(unist-util-visit) >= 1.1.1 with npmlib(unist-util-visit) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
remark-lint rule to warn when inline nodes are padded with spaces

%package 1.0.2
Summary:        remark-lint rule to warn when inline nodes are padded with spaces


%description 1.0.2
remark-lint rule to warn when inline nodes are padded with spaces

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
%{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%{nodejs_dir}/%{modulename}

%files 1.0.2
%doc readme.md
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Thu Dec 6 2018 npm2srpm <dshea@redhat.com> - 1.0.2-1
- Package automatically generated by npm2srpm
